"use strict";

const GameStudioClub = require("./components/game-studio-club");
const Popularization = require("./components/popularization");

class EducationPage {
    constructor(args) {
        Object.assign(this, args);
    }

    render() {
        return {
            tag: "div",
            id: "education-page",
            contents: [
                { tag: "h1", contents: "Pédagogie" },
                {
                    tag: "p",
                    class: "edu-philo",
                    contents: `
                    Nous pensons que la démystification de la technologie et son appropriation par les utilisateurs passent 
                    avant tout par la pédagogie et le partage de connaissances. Nous proposons blablabla`,
                },
                new GameStudioClub().render(),
                new Popularization().render(),
            ],
        };
    }
}

module.exports = EducationPage;
